Subject: Re: linux-next: build problem with nfs tree (Was: Re: [mmotm][PATCH] fix ia64 build error)

From: Andrew Morton <[email-masked]>
Date: Fri, 16 Jan 2009 14:51:56 -0800

On Sat, 17 Jan 2009 09:40:08 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi Andrew,
> 
> On Fri, 16 Jan 2009 14:15:57 -0800 Andrew Morton <[email-masked]> wrote:
> >
> > y:/usr/src/git26> git-checkout linux-next
> > Switched to branch "linux-next"
> > y:/usr/src/git26> who-committed.sh ba9a5918
> 
> Well that commit is from 2.6.23-rc1:
> 
> commit ba9a5918c86762fa7fae353c635bb6ed5221dfb8
> Author: Douglas Thompson <[email-masked]>
> Date:   Thu Jul 19 01:50:32 2007 -0700
> 
>     drivers/edac: add to maintainers new info
> 
> before linux-next even existed.  My script only works for things in
> linux-next but not in Linus' tree ...
> 
> > y:/usr/src/git26> who-committed.sh 2c3fb6b1b1a43ca089032e6523207f6687c962c1
> 
> And that is one I committed myself because Linus' tree is broken.

Oh, OK, sorry, drat.  Two hastily and poorly chosen test cases.

> I'll see if I can do better.  What do you actually want to do?

y:/usr/src/git26> who-committed.sh bcff57c25287216221d0ff82080ac37bb081969e
ide

That ;)